Subject: bug#42790: [PATH] 27.1; Add version info into file name "emacs.pdmp" to avoid mismatch pdmp file

From: <[email-masked]>
Date: Mon, 10 Aug 2020 11:21:32 +0800

Hi,

The pdmp file always named as "emcas.pdmp", this will cause error in my
local that I build two Emacs with different configuration options and
different suffix from same source tree. Here are configure lines:

$ cd ~/emacs-min && ~/emacs/configure --program-suffix=m --with-x=no...
$ cd ~/emacs-nor && ~/emacs/configure # normal build

After installation, run the first installed Emacs binary, there is
error message as follow:

emacs: could not load dump file "... emacs.pdmp": not built for this
Emacs executable

This patch will add the version info to pdmp file name to avoid the error.
After apply this patch, pdmp file in my case will be "emacs-27.1.pdmp" 
and "emacs-27.1m.pdmp", Emacs will load pdmp file correctly.